CollectionStreams (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.streams

## Class CollectionStreams

- java.lang.Object
- - com.ibm.streamsx.topology.streams.CollectionStreams

-     public class CollectionStreams
      extends java.lang.Object

  Utilities for streams tuples that are collections of values.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectionStreams.FlattenCollection<C extends java.util.Collection<T>,T>` Function that flattens a collection when passed to `TStream.multiTransform(Function)`.
    `static class` | `CollectionStreams.FlattenMap<M extends java.util.Map<K,V>,K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionStreams()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends java.util.Collection<T>,T> TStream<T>` | `flatten(TStream<C> stream)` ' Flatten a stream containing collections into a stream containing the individual elements.
    `static <M extends java.util.Map<K,V>,K,V> TStream<java.util.AbstractMap.SimpleImmutableEntry<K,V>>` | `flattenMap(TStream<M> stream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionStreams

          public CollectionStreams()

  - ### Method Detail

    - #### flatten

          public static <C extends java.util.Collection<T>,T> TStream<T> flatten(TStream<C> stream)

      ' Flatten a stream containing collections into a stream containing the individual elements. Elements are added to the returned stream in the order of the iterator for the input tuple.
      Parameters:
        `stream` - Stream to be flattened.
      Returns:
        Flattened stream.

    - #### flattenMap

          public static <M extends java.util.Map<K,V>,K,V> TStream<java.util.AbstractMap.SimpleImmutableEntry<K,V>> flattenMap(TStream<M> stream)